<form
  action="{% url 'update_k8s_resources' application.identifier %}"
  method="post">
  {% csrf_token %}

  <h3>K8s configurations</h3>
  <div class="my-3">
    <label class="form-label fw-semibold">Replicas</label>
    <div class="d-flex flex-row gap-2 align-items-center">
      <input
        type="number"
        class="form-control form-control-sm"
        name="replicas"
        {% if application.replicas %}
          value="{{ application.replicas }}"
        {% endif %}
        min="1"
        {% if application.applicationquota.replicas %}
          max="{{ application.applicationquota.replicas }}"
        {% else %}
          max="1"
        {% endif %}
        required>
      <span>/ {{ application.applicationquota.replicas  }} max</span>
    </div>
    <div class="form-text">Number of pods for your app</div>
  </div>

  <div class="mt-4">
    <button type="submit" class="btn btn-primary">Save</button>
    <div class="btn btn-danger cancel-btn">Cancel</div>
  </div>
</form>
